CHIRP(1)

NAME
chirpw - A tool for programming two-way radio equipment

SYNOPSIS
chirpw [-h] [--module module] [--version] [--profile] [--onlydriver ONLYDRIVER [ONLYDRIVER ...]] [--inspect] [--page PAGE] [--action {upload,download,query_rr,query_mg,query_rb,query_dm,new}] [--restore] [--force-language FORCE_LANGUAGE] [--no-linux-gdk-backend] [--install-desktop-app] [-q] [-v] [--log LOG_FILE] [--log-level LOG_LEVEL] [file ...]

DESCRIPTION
This manual page documents briefly the chirpw command.

chirpw is a tool for programming two-way radio equipment It provides a generic user interface to the programming data and process that can drive many radio models under the hood.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`--'). A summary of options is included below.

--help
    Show summary of options.

  positional arguments:

file
    File to open

  options:

-h, --help
    Show summary of options

--module module
    Load module on startup

--version
    Print version and exit

--profile
    Enable profiling

--onlydriver ONLYDRIVER [ONLYDRIVER ...]
    Include this driver while loading

--inspect
    Show wxPython inspector

--page PAGE
    Select this page of the default editor at start

--action {upload,download,query_rr,query_mg,query_rb,query_dm,new}
    Start UI action immediately

--restore
    Restore previous tabs

--force-language FORCE_LANGUAGE
    Force locale to this ISO language code

--no-linux-gdk-backend
    Do not force GDK_BACKEND=x11

--install-desktop-app
    Prompt to install a desktop icon

-q, --quiet
    Decrease verbosity

-v, --verbose
    Increase verbosity

--log LOG_FILE
    Log messages to a file

--log-level LOG_LEVEL
    Log file verbosity (critical, error, warn, info, debug). Defaults to 'debug'.

AUTHOR
chirpw was written by Dan Smith.

This manual page was written using help2man for the Debian project (and may be used by others).